# Uses of Interface
com.sun.mirror.apt.AnnotationProcessor

Packages that use AnnotationProcessor
Package
Description
com.sun.mirror.apt
Classes used to communicate information between annotation processors and an annotation processing tool.
org.eclipse.jdt.apt.core.env
This package contains Eclipse extensions to some of the Sun annotation processing APIs.

## Uses of AnnotationProcessor in com.sun.mirror.apt

Fields in com.sun.mirror.apt declared as AnnotationProcessor
Modifier and Type
Field
Description
`static final AnnotationProcessor`
AnnotationProcessors.`NO_OP`
An annotation processor that does nothing and has no state.
Methods in com.sun.mirror.apt that return AnnotationProcessor
Modifier and Type
Method
Description
`static AnnotationProcessor`
AnnotationProcessors.`getCompositeAnnotationProcessor(AnnotationProcessor... aps)`
Constructs a new composite annotation processor.
`static AnnotationProcessor`
AnnotationProcessors.`getCompositeAnnotationProcessor(Collection<AnnotationProcessor> aps)`
Constructs a new composite annotation processor.
`AnnotationProcessor`
AnnotationProcessorFactory.`getProcessorFor(Set<AnnotationTypeDeclaration> atds, AnnotationProcessorEnvironment env)`
Returns an annotation processor for a set of annotation types.
Methods in com.sun.mirror.apt with parameters of type AnnotationProcessor
Modifier and Type
Method
Description
`static AnnotationProcessor`
AnnotationProcessors.`getCompositeAnnotationProcessor(AnnotationProcessor... aps)`
Constructs a new composite annotation processor.
Method parameters in com.sun.mirror.apt with type arguments of type AnnotationProcessor
Modifier and Type
Method
Description
`static AnnotationProcessor`
AnnotationProcessors.`getCompositeAnnotationProcessor(Collection<AnnotationProcessor> aps)`
Constructs a new composite annotation processor.

## Uses of AnnotationProcessor in org.eclipse.jdt.apt.core.env

Methods in org.eclipse.jdt.apt.core.env that return AnnotationProcessor
Modifier and Type
Method
Description
`AnnotationProcessor`
EclipseAnnotationProcessorFactory.`getProcessorFor(Set<AnnotationTypeDeclaration> atds, EclipseAnnotationProcessorEnvironment env)`
Returns an annotation processor for a set of annotation types.